post
https://public-api.production.liveswitch.com/v1/conversations//sparks
Required scope: sparks.write
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This endpoint creates a Spark run on a Conversation.
If media is not available, the Spark run waits in the queue.
The Spark run starts automatically when media arrives.
The initial status is always "queued".
If the Spark template has user inputs (requiresUserInput: true), first validate them with POST /v1/spark-templates/{sparkTemplateId}/validate-inputs.
Then send the validation token from validationToken in that response.
Do not send tasks with the validation token.
If the Spark template has no user inputs, a validation token is not necessary.